SASL_LOG_T(3)

NAME
sasl_log_t - Cyrus SASL documentation

SYNOPSIS

#include <sasl/sasl.h>
int sasl_log_t(void *context,
              int level,
              const char * message);

DESCRIPTION

int sasl_log_t(void *context,

int level,

const char * message);

sasl_log_t is used to log warning/error messages from the
    SASL library. If not specified syslog will be used.

RETURN VALUE

SASL callback functions should return SASL return codes. See sasl.h for a complete list. SASL_OK indicates success.

SEE ALSO

RFC 4422,:saslman:sasl(3), sasl_callbacks(3), sasl_errors(3)

AUTHOR
The Cyrus Team

COPYRIGHT
1993-2016, The Cyrus Team